<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Pagina para consultar los avaluos que se encuantran en proceso
                la busqueda se realiza usando como parametros ciertos criterios
                ingresados por el usuario
                        
@cu 			CU-SA-AC-153 

@param          usadoDesdeCancelacionParam 
                -Se usa para llamar esta vista desde el 
                de uso CU-SA-AC-105 Cancelación de avalúos

@ManagedBean 	ConsultaSolicitudesAvaluosEnProcesoMB
-->




<h:form id="busquedaAvaluosEnProcesoForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <h:outputScript library="javascript" name="snc_visor_client.js"
                    target="head" />
    <h:outputStylesheet library="css" name="snc_visor_client.css" />

    <p:messages id="msgsBusquedaAvaluos" showDetail="false"
                globalOnly="false" />

    <p:focus />

    <p:fieldset>
        <legend>
            <h:outputText value="Criterios de busqueda" 
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="4" cellspacing="7" width="100%">
            <h:outputLabel value="Radicación: " styleClass="outputLabelStyle" />

            <h:inputText            
                value="#{consultaSolicitudesAvaluosEnProceso.numeroRadicacion}"
                id="numRadicacion" label="Número de radicacion" maxlength="50">
            </h:inputText>


            <h:outputLabel value="Sec. Radicado: " styleClass="outputLabelStyle" />

            <h:inputText
                value="#{consultaSolicitudesAvaluosEnProceso.numeroSecRadicado}"
                id="numSecRadicado" label="Número de Sec. Radicado" maxlength="50">
            </h:inputText>  

            <h:outputLabel value="Fecha radicación desde:" styleClass="outputLabelStyle" />

            <p:calendar value="#{consultaSolicitudesAvaluosEnProceso.fechaRadicacionDesde}"
                        id="fechaDesde" 
                        navigator="true" pattern="dd/MM/yyyy"
                        showOn="both" title="#{general.formatoFechaUsuario}" 
                        effect="slideDown" size="12"/>

            <h:outputLabel value="Fecha radicación hasta:" styleClass="outputLabelStyle" />

            <p:calendar value="#{consultaSolicitudesAvaluosEnProceso.fechaRadicacionHasta}"
                        id="fechaHasta" 
                        title="#{general.formatoFechaUsuario}"
                        navigator="true" pattern="dd/MM/yyyy"
                        showOn="both" effect="slideDown" size="12"/>
            <h:outputLabel value="Solicitante: " styleClass="outputLabelStyle" />

            <h:inputText
                value="#{consultaSolicitudesAvaluosEnProceso.nombreSolicitante}"
                id="solicitante" label="Solicitante" maxlength="50">
            </h:inputText>

            <h:outputLabel value="Tipo empresa:" styleClass="outputLabelStyle" />  
            <h:selectOneMenu id="tipoPersona" label="Tipo empresa:"
                             value="#{consultaSolicitudesAvaluosEnProceso.tipoEmpresa}">
                <f:selectItems
                    value="#{general.personaTipoPersonaV2}" />

            </h:selectOneMenu>

            <h:outputLabel value="Territorial: " styleClass="outputLabelStyle" />

            <h:selectOneMenu

                value="#{consultaSolicitudesAvaluosEnProceso.territorial}">
                <f:selectItem itemLabel="Seleccione territorial..." />

                <f:selectItems value="#{consultaSolicitudesAvaluosEnProceso.listaTerritoriales}"/>

            </h:selectOneMenu>

            <h:outputLabel value="Nombre avaluador: " styleClass="outputLabelStyle" />
            <h:inputText
                value="#{consultaSolicitudesAvaluosEnProceso.nombreAvaluador}"
                id="avaluador" label="Nombre avaluador:" maxlength="50">
            </h:inputText>


            <h:outputLabel value="Tipo trámite: " styleClass="outputLabelStyle" />

            <h:selectOneMenu 
                value="#{consultaSolicitudesAvaluosEnProceso.tipoTramite}">
                <f:selectItem itemLabel="Seleccione tipo de tramite..." />
                <f:selectItems value="#{general.avaluosComercialesTipoTramite}" />
            </h:selectOneMenu>

            <h:outputLabel value="Tipo avalúo " styleClass="outputLabelStyle" />

            <h:selectOneMenu 
                value="#{consultaSolicitudesAvaluosEnProceso.tipoAvaluo}">
                <f:selectItem itemLabel="Seleccione tipo de avalúo..." />
                <f:selectItems value="#{general.avaluoTipoAvaluoV}" />
            </h:selectOneMenu>

            <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />                
            <h:selectOneMenu id="departamento" label="Departamento"
                             value="#{consultaSolicitudesAvaluosEnProceso.departamento}">
                <f:selectItem itemLabel="Seleccione departamento..." />
                <f:selectItems
                    value="#{consultaSolicitudesAvaluosEnProceso.departamentosLista}" />
                <p:ajax update="municipio, nPredial"
                        listener="#{consultaSolicitudesAvaluosEnProceso.actualizarMunicipios}"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();" />
            </h:selectOneMenu>
            <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />                
            <h:selectOneMenu disabled="#{empty consultaSolicitudesAvaluosEnProceso.municipiosLista}" 
                             id="municipio" label="Municipio"
                             value="#{consultaSolicitudesAvaluosEnProceso.municipio}">
                <f:selectItem itemLabel="Seleccione municipio..." />
                <f:selectItems
                    value="#{consultaSolicitudesAvaluosEnProceso.municipiosLista}" />
                <p:ajax update="nPredial"
                        listener="#{consultaSolicitudesAvaluosEnProceso.listenerMunicipiosMenu}"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();" />

            </h:selectOneMenu>




            <h:outputLabel value="Número predial: "
                           styleClass="outputLabelStyle" />
            <h:panelGroup id="nPredial">

                <h:inputText id="s1"
                             disabled="true"
                             value="#{consultaSolicitudesAvaluosEnProceso.datosPredio.numeroPredialS1}"
                             size="1" maxlength="2" title="Departamento" />
                <h:inputText id="s2"
                             disabled="true"
                             value="#{consultaSolicitudesAvaluosEnProceso.datosPredio.numeroPredialS2}"
                             size="3" maxlength="3" title="Municipio" />
                <h:inputText id="s3"
                             value="#{consultaSolicitudesAvaluosEnProceso.datosPredio.numeroPredialS3}"
                             size="2" maxlength="2" title="Zona" />
                <h:inputText id="s4"
                             value="#{consultaSolicitudesAvaluosEnProceso.datosPredio.numeroPredialS4}"
                             size="2" maxlength="2" title="Sector" />
                <h:inputText id="s5"
                             value="#{consultaSolicitudesAvaluosEnProceso.datosPredio.numeroPredialS5}"
                             size="2" maxlength="2" title="Comuna" />
                <h:inputText id="s6"
                             value="#{consultaSolicitudesAvaluosEnProceso.datosPredio.numeroPredialS6}"
                             size="2" maxlength="2" title="Barrio" />
                <h:inputText id="s7"
                             value="#{consultaSolicitudesAvaluosEnProceso.datosPredio.numeroPredialS7}"
                             size="4" maxlength="4" title="Manzana o vereda" />
                <h:inputText id="s8"
                             value="#{consultaSolicitudesAvaluosEnProceso.datosPredio.numeroPredialS8}"
                             size="4" maxlength="4" title="Terreno" />
                <h:inputText id="s9"
                             value="#{consultaSolicitudesAvaluosEnProceso.datosPredio.numeroPredialS9}"
                             size="1" maxlength="1" title="Condición de propiedad" />
                <h:inputText id="s10"
                             value="#{consultaSolicitudesAvaluosEnProceso.datosPredio.numeroPredialS10}"
                             size="2" maxlength="2" title="No. del edificio o torre" />
                <h:inputText id="s11"
                             value="#{consultaSolicitudesAvaluosEnProceso.datosPredio.numeroPredialS11}"
                             size="2" maxlength="2" title="No. de piso dentro del edificio" />
                <h:inputText id="s12"
                             value="#{consultaSolicitudesAvaluosEnProceso.datosPredio.numeroPredialS12}"
                             size="4" maxlength="4" title="No. de unidad en PH o mejora" />

                <p:commandButton type="button" ajax="false"
                                 icon="ui-icon-arrowreturnthick-1-w"
                                 title="Limpiar número predial"
                                 onclick="limpiarNP('busquedaAvaluosEnProcesoForm');return false;" />   

            </h:panelGroup>

            <h:outputLabel value="Dirección: " styleClass="outputLabelStyle" />

            <h:inputText
                value="#{consultaSolicitudesAvaluosEnProceso.direccion}"
                id="direccion" label="Dirección" maxlength="50">
            </h:inputText>

        </h:panelGrid>

        <h:panelGrid columns="1" cellspacing="7">
            <p:commandButton id="buscarBtn" value="Buscar"
                             process="busquedaAvaluosEnProcesoForm"
                             action="#{consultaSolicitudesAvaluosEnProceso.buscarAvaluos}"
                             icon="ui-icon-search" immediate="false" ajax="true"
                             update=":busquedaAvaluosEnProcesoForm"
                             onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
        </h:panelGrid>
    </p:fieldset>
    <p:spacer height="10" />
    <p:fieldset>

        <legend>
            <h:outputText value="Resultados de la consulta"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid width="100%" cellspacing="7">
            <p:commandButton id="expandirTablaContratosBtn"
                             value="#{consultaSolicitudesAvaluosEnProceso.banderaMostrarTodasColumnas eq true ? 
                                      'Ver menos columnas':'Ver todas las columnas'}"
                             update=":busquedaAvaluosEnProcesoForm:secRadicadosTable, @this"
                             process="@this"
                             icon="#{consultaSolicitudesAvaluosEnProceso.banderaMostrarTodasColumnas eq true ? 
                                     'ui-icon-arrowstop-1-w':'ui-icon-arrowstop-1-e'}">
                <f:setPropertyActionListener
                    target="#{consultaSolicitudesAvaluosEnProceso.banderaMostrarTodasColumnas}"
                    value="#{consultaSolicitudesAvaluosEnProceso.banderaMostrarTodasColumnas eq true 
                             ? false : true}" />
            </p:commandButton>


            <p:dataTable
                value="#{consultaSolicitudesAvaluosEnProceso.avaluosBusqueda}"
                var="avaluo" id="secRadicadosTable"
                rowKey="#{avaluo.id}"
                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                rowsPerPageTemplate="5,10,15"
                widgetVar="secRadicadosTableWV"
                emptyMessage="No existen avalúos para estos criterios de busqueda"
                paginator="true"
                rows="5"
                paginatorPosition="bottom">

                <f:facet name="header">  
                    Avaluos asociados a la busqueda
                </f:facet>

                <p:column >
                    <f:facet name="header">
                        Opciones &nbsp; &nbsp; &nbsp;
                    </f:facet>

                    <p:commandButton id="cancelarAvaluoBtn"
                                     icon="ui-icon-circle-close" title="Cancelar avalúo"
                                     update=":detalleCancelacionForm"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); cancelarAvaluoWV.show();"
                                     rendered="#{usadoDesdeCancelacionParam}">
                        <f:setPropertyActionListener
                            target="#{cancelarAvaluo.avaluoSeleccionado}"
                            value="#{avaluo}" />
                    </p:commandButton>

                    <p:commandButton id="infoPredialBtn"
                                     icon="ui-icon-home" title="Información predial"
                                     update=":pdsDialog"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); prediosWV.show();"
                                     action="#{consultaInformacionPredial.cargarInformacionPredial}">
                        <f:setPropertyActionListener
                            target="#{consultaInformacionPredial.avaluoSeleccionado}"
                            value="#{avaluo}" />
                    </p:commandButton>

                </p:column>

                <p:column sortBy="#{avaluo.tramite.solicitud.numero}" 
                          filterBy="#{avaluo.tramite.solicitud.numero}"
                          filterMatchMode="contains">
                    <f:facet name="header">
                        <h:outputText value="Radicación" title="Radicación" />
                    </f:facet>
                    <p:commandLink id="solicitudLink"
                                   styleClass="commandLinkStyle"
                                   onstart="statusDialog2.show();"
                                   update=":isCC:infoSolicitudTV"
                                   oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                                   value="#{avaluo.tramite.solicitud.numero}"
                                   action="#{consultaInformacionSolicitud.consultarSolicitud}">
                        <f:setPropertyActionListener value="#{avaluo.tramite.solicitud.numero}"
                                                     target="#{consultaInformacionSolicitud.numeroRadicacion}"/>

                    </p:commandLink>


                </p:column>

                <p:column sortBy="#{avaluo.secRadicado}" 
                          filterBy="#{avaluo.secRadicado}"
                          filterMatchMode="contains">
                    <f:facet name="header">
                        <h:outputText value="Sec. Radicado" title="Sec. Radicado" />
                    </f:facet>
                    <p:commandLink id="avaluoLink"
                                   styleClass="commandLinkStyle"
                                   onstart="statusDialog2.show();"
                                   update=":isCC:infoSolicitudTV"
                                   oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                                   value="#{avaluo.secRadicado}"
                                   action="#{consultaInformacionSolicitud.consultarSecRadicado}">
                        <f:setPropertyActionListener value="#{avaluo.secRadicado}"
                                                     target="#{consultaInformacionSolicitud.numeroSecRadicado}"/>
                    </p:commandLink>
                </p:column>

                <p:column sortBy="#{avaluo.tramite.solicitud.solicitanteSolicituds[0].nombreCompleto}"
                          filterBy="#{avaluo.tramite.solicitud.solicitanteSolicituds[0].nombreCompleto}"
                          filterMatchMode="contains">
                    <f:facet name="header">
                        <h:outputText value="Solicitante" title="Solicitante" />
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  id="solicitante"
                                  value="#{avaluo.solicitante.nombreCompleto}">

                    </h:outputText>
                </p:column>
                <p:column filterBy="#{avaluo.tramite.tipoTramite}"
                          filterMatchMode="exact"
                          filterOptions="#{general.avaluosComercialesTipoTramite}">
                    <f:facet name="header">
                        <h:outputText value="Tipo trámite" title="Tipo trámite" />
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  id="AvaluosComercialesTipoTramite-1"
                                  value="#{avaluo.tramite.tipoTramite}">
                        <f:converter converterId="converterCB"
                                     for="AvaluosComercialesTipoTramite-1" />
                    </h:outputText>
                </p:column>


                <p:column filterBy="#{avaluo.avaluoPredios[0].departamento.nombre}"
                          filterMatchMode="contains"
                          sortBy="#{avaluo.avaluoPredios[0].departamento.nombre}">
                    <f:facet name="header">
                        Departamento		
                    </f:facet>
                    <p:commandLink rendered="#{avaluo.tienePrediosEnDiferentesDeptos}"
                                   id="infoDepartamentosLink"
                                   styleClass="commandLinkStyle"
                                   value="#{avaluo.avaluoPredios[0].departamento.nombre}"
                                   action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                   update=":consultarDepartamentosMunicipioForm"
                                   onstart="statusDialog2.show();"
                                   oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                        <f:setPropertyActionListener value="#{avaluo}"
                                                     target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}"/>
                    </p:commandLink>
                    <h:outputText rendered="#{!avaluo.tienePrediosEnDiferentesDeptos}"
                                  styleClass="outputTextStyle"
                                  value="#{avaluo.avaluoPredios[0].departamento.nombre}"/>
                </p:column>
                <p:column filterBy="#{avaluo.avaluoPredios[0].municipio.nombre}"
                          filterMatchMode="contains"
                          sortBy="#{avaluo.avaluoPredios[0].municipio.nombre}">
                    <f:facet name="header">
                        Municipio			
                    </f:facet>
                    <p:commandLink rendered="#{avaluo.tienePrediosEnDiferentesMunicipios}"
                                   id="infoMunicipiosLink"
                                   styleClass="commandLinkStyle"
                                   value="#{avaluo.avaluoPredios[0].municipio.nombre}"
                                   action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                   update=":consultarDepartamentosMunicipioForm"
                                   onstart="statusDialog2.show();"
                                   oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                        <f:setPropertyActionListener value="#{avaluo}"
                                                     target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}"/>
                    </p:commandLink>

                    <h:outputText rendered="#{!avaluo.tienePrediosEnDiferentesMunicipios}"
                                  styleClass="outputTextStyle"
                                  value="#{avaluo.avaluoPredios[0].municipio.nombre}"/>
                </p:column>

                <p:column filterBy="#{avaluo.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}"
                          filterMatchMode="contains"
                          sortBy="#{avaluo.avaluoAsignacionProfesionals[0].profesionalAvaluo.nombreCompleto}"
                          rendered="#{consultaSolicitudesAvaluosEnProceso.banderaMostrarTodasColumnas}">
                    <f:facet name="header">
                        Responsable			
                    </f:facet>
                    <p:commandLink
                        value="#{avaluo.avaluadores[0].nombreCompleto}"
                        styleClass="commandLinkStyle"
                        action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                        update=":consultarAvaluadoresAsignadosPG"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();
                        infoAvaluadoresAsignadosWV.show();"
                        rendered="#{avaluo.tieneMultiplesAvaluadores}">
                        <f:setPropertyActionListener value="#{avaluo.secRadicado}"
                                                     target="#{consultarAvaluadoresAsignados.secRadicado}" />
                    </p:commandLink>
                    <h:outputText
                        rendered="#{!avaluo.tieneMultiplesAvaluadores}"
                        value="#{avaluo.avaluadores[0].nombreCompleto}" />
                </p:column>

<!--                <p:column rendered="#{consultaSolicitudesAvaluosEnProceso.banderaMostrarTodasColumnas}">
                    <f:facet name="header">
                        Estado tramite		
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  id="estadoTramite"
                                  value="#{avaluo.tramite.estado}">
                    </h:outputText>
                </p:column>-->

                <p:column rendered="#{consultaSolicitudesAvaluosEnProceso.banderaMostrarTodasColumnas}">
                    <f:facet name="header">
                        Tipo avalúo		
                    </f:facet>
                    <h:outputText id="AvaluoTipoAvaluoV" styleClass="outputTextStyle"
                                  value="#{avaluo.tipoAvaluo}">
                        <f:converter converterId="converterCB"
                                     for="AvaluoTipoAvaluoV" />

                    </h:outputText>
                </p:column>

                <p:column rendered="#{consultaSolicitudesAvaluosEnProceso.banderaMostrarTodasColumnas}">
                    <f:facet name="header">
                        Actividad actual	
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  id="actividadActual"
                                  value="">

                    </h:outputText>
                </p:column>
            </p:dataTable>
        </h:panelGrid>
        <p:outputPanel layout="block" style="text-align:right">
            <p:commandButton value="Cerrar"
                             action="#{consultaSolicitudesAvaluosEnProceso.cerrar}"
                             icon="ui-icon-circle-close" immediate="true" ajax="false"/>
            <p:spacer height="0" width="20" />
        </p:outputPanel>
    </p:fieldset>

</h:form>




